## Log data:
info from log channels, soh messages, text file in dict:
{'TEXT': [str,], data_set_id:{chan_id: [str,],},}
In which 'TEXT': is the chan_id given by sohview for text only files which have 
no station or channel associate with it.
Note: log_data for RT130's dataset has only one channel: SOH

## data_dict:
{data_set_id: {
    chan_id (str): {
        'file_path' (str): path of file to keep track of file changes in MSeedReader
        'chanID' (str): name of channel
        'samplerate' (float): Sampling rate of the data
        'startTmEpoch' (float): start epoch time of channel
        'endTmEpoch' (float): end epoch time of channel
        'size' (int): size of channel data
        'tracesInfo': [{
            'startTmEpoch': Start epoch time of the trace - float
            'endTmEpoch': End epoch time of the trace - float
            'times': time of channel's trace: List[float] in mseed_reader but changed to ndarray in combine_data()
            'data': data of channel's trace: List[float] in mseed_reader but changed to ndarray in combine_data()
            }]
        'tps_data': list of lists of mean of square of every 5m of data in each day
        'times' (np.array): times that has been trimmed and down-sampled for plotting
        'data' (np.array): data that has been trimmed and down-sampled for plotting
        'chan_db_info' (dict): the plotting parameters got from database
            for this channel - dict,
        ax: axes to draw the channel in PlottingWidget
        ax_wf (matplotlib.axes.Axes): axes to draw the channel in WaveformWidget
    }
}

Use both ax and ax_wf because mass position channels are plotted in both widgets while 
soh channels are plotted in PlottingWidget and waveform channel are plotted in WaveformWidget
tps_data created in TimePoserSquareWidget only and apply for waveform_data only

## tps_data: data that aren't separated to traces
{data_set_id - str or (str, str): {
    chan_id - str: {
        times: np.array,
        data: np.array,
        }
    }
}

## soh_messages: SOH log messages in Search Messages Dialog
{'TEXT': [str,], data_set_id:{chan_id: [str,],},}